Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-17480

Fuse Online 7.10 Component Alignment

    XMLWordPrintable

Details

    • Enhancement
    • Status: Done
    • Blocker
    • Resolution: Done
    • None
    • fuse-7.10-GA
    • Fuse Online
    • None

    Description

      Update Fuse Online Dependencies accordinlgy to Fuse 7.10 Component Alignment

      Also, consider the comments from ENTESB-16528

      The dependencies to be upgraded are in bold.

        Current version Align to version
      Spring-boot 2.3.9.RELEASE 2.3.12.RELEASE
      Activemq-client 5.15.14 5.11.0.redhat-630495
      Qpid-jms-client 0.54.0.redhat-00001 0.54.0.redhat-00001
      proton-j 0.33.6.redhat-00001 0.33.6.redhat-00001
      Kafka-client 2.5.0.redhat-00003 2.5.0.redhat-00003
      camel 2.23.2 2.23.2
      cxf 3.3.6.fuse-790048 3.3.6.fuse-790048
      Hibernate-validator 6.0.20.Final 6.0.22.Final-redhat-00002
      undertow 2.2.5.Final 2.2.12.Final-redhat-00001
      tomcat 9.0.36.redhat-00010** 9.0.36.redhat-00010
      netty 4.1.63.Final-redhat-00001** 4.1.68.Final-redhat-00001
      jetty 9.4.40.v20210413** 9.4.43.v20210629
      Fabric8 Maven Plugin 4.2.0 4.3.0
      Spring-framework 5.2.13.RELEASE 5.2.15.RELEASE
      Spring-security 5.3.10.RELEASE 5.3.9.RELEASE

      Activemq-client is not going to downgrade as it will bring more problems.

      There is a comment on fuse alignment document "Karaf and Spring Boot (org.hibernate) 6.0.20.Final-redhat-00001 - stays at this version, because that's what CXF expects (Validation API 2.0)", so we are not upgrading it.

      Attachments

        Activity

          People

            cmiranda@redhat.com Claudio Miranda
            cmiranda@redhat.com Claudio Miranda
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: